<?php
namespace hacklabBlocks;
function columnists_callback( $attributes, $content, $block ) {

	$block_title         = isset( $attributes['blockTitle'] ) ? $attributes['blockTitle'] : '';
	$bg_color            = isset( $attributes['bgColor'] ) ? $attributes['bgColor'] : 'rgba(199, 221, 139, 0.5)';
	$posts_to_show       = isset( $attributes['postsToShow'] ) ? $attributes['postsToShow'] : 10;
	$is_carousel         = isset( $attributes['isCarousel'] ) ? $attributes['isCarousel'] : false;
	$selected_columnists = isset( $attributes['selectedColumnists'] ) ? $attributes['selectedColumnists'] : '';

	ob_start();

	$columnists = [];

	if ( $selected_columnists ) {
		foreach ( $selected_columnists as $value ) {
			$user = new \WP_User_Query( array( 'search' => $value ) );

			if ( $user && ! is_wp_error( $user ) ) {
				$columnists[] = $user->get_results()[0];
			}
		}

		// Limit quantity of posts to show
		$columnists = array_slice( $columnists, 0, $posts_to_show );
	} else {
		// WP_User_Query arguments
		$args = array(
			'role'        => 'colunista',
			'count_total' => true,
			'fields'      => 'all',
			'number'      => $posts_to_show
		);

		// The User Query
		$columnists = new \WP_User_Query( $args );
		$columnists = $columnists->results;
	}

    if ( count( $columnists ) ) {
        echo "<div class='columnists-block-container' style='background-color: " . $bg_color . "'>";

			if ( ! empty( $block_title ) ) {
				echo "<div class='container-title'>";
					echo "<h2>" . $block_title . "</h2>";
				echo "</div>";
			}

			$container_class = $is_carousel ? "container is-carousel" : "container";

			if ( defined( 'REST_REQUEST' ) && REST_REQUEST && $is_carousel ) {
				if ( count( $columnists ) < 6 ) {
					$container_class .= " hide-navigation";
				}
			}

			echo "<div class='" . $container_class . "'>";
				foreach ( $columnists as $user ) :
					$link = get_author_posts_url( $user->ID ) ? get_author_posts_url( $user->ID ) : '';
					$user_meta = get_user_meta( $user->ID, 'wpseo_user_schema', true ); ?>
					<div class="each-columnist">
						<div class="author-image">
							<a href="<?php echo $link;?>">
								<?php echo get_avatar( $user->ID, '256');?>
							</a>
						</div>
						<div class="author-name">
							<h5>
								<a href="<?php echo $link; ?>">
									<span class="name"><?php echo esc_attr( $user->display_name ); ?></span>

									<?php if ( isset( $user_meta['knowsAbout'] ) ) : ?>
										<span class="knows"><?php echo esc_attr( $user_meta['knowsAbout'][0] ); ?></span>
									<?php endif; ?>
								</a>
							</h5>
						</div>
					</div>
				<?php endforeach;
        	echo '</div>';
        echo '</div>';
    }

	$output = ob_get_clean();

    return $output ;
}
