/**
 * WordPress components that create the necessary UI elements for the block
 *
 * @see https://developer.wordpress.org/block-editor/packages/packages-components/
 */

 import { InnerBlocks } from "@wordpress/block-editor";

/**
 * The edit function describes the structure of your block in the context of the
 * editor. This represents what the editor will render when the block is used.
 *
 * @see https://developer.wordpress.org/block-editor/developers/block-api/block-edit-save/#edit
 *
 * @param {Object}   props               Properties passed to the function.
 * @param {Object}   props.attributes    Available block attributes.
 * @param {Function} props.setAttributes Function that updates individual attributes.
 *
 * @return {WPElement} Element to render.
 */

 export default function Edit( { attributes } ) {
	const TEMPLATE = [ [ 'core/columns', {}, [
							[ 'core/column', {}, [
								[ 'hacklab-blocks/theme-card' ],
								[ 'hacklab-blocks/theme-card' ],
							] ],
							[ 'core/column', {}, [
								[ 'hacklab-blocks/theme-card' ],
								[ 'hacklab-blocks/theme-card' ],
							] ],
						
					] ] ];
	return (
		<div className="themes-block-wrapper" key="container">
			<div>
				<InnerBlocks
					allowedBlocks={[ 'hacklab-blocks/theme-card' ]}
					template={TEMPLATE}
					templateLock="all"
				/>
			</div>
		</div>
	);
}
